[![Build Status](https://img.shields.io/travis/WolfSoftware/kenny_speak/master.svg)](https://travis-ci.org/WolfSoftware/kenny_speak)
[![Software License](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE.md)
[![Release](https://img.shields.io/github/release/wolfsoftware/kenny_speak.svg)](https://github.com/wolfsoftware/kenny_speak/releases/latest)
[![Gem Version](https://badge.fury.io/rb/kenny_speak.svg)](https://badge.fury.io/rb/kenny_speak)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/wolfsoftware/kenny_speak/latest.svg)](https://github.com/wolfsoftware/kenny_speak/commits)
[![GitHub repo size in bytes](https://img.shields.io/github/repo-size/wolfsoftware/kenny_speak.svg)](https://github.com/wolfsoftware/kenny_speak)
[![GitHub contributors](https://img.shields.io/github/contributors/wolfsoftware/kenny_speak.svg)](https://github.com/wolfsoftware/kenny_speak)

# Kenny Speak

A silly Ruby Gem for converting text to Kenny Speak (Kenny from South Park).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'kenny_speak'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install kenny_speak

## Usage

### Encode.

```ruby
  require 'kenny_speak'

  puts KennySpeak::Kenny.to_kenny(message)

  # or

  puts message.to_kenny
```

### Decode

```ruby
  require 'kenny_speak'

  puts KennySpeak::Kenny.from_kenny(message)

  # or

  puts message.from_kenny
```

### Command Line

```
  Usage: kenny
    -h, --help                       Display this screen
    -d, --decode                     Should we be decoding a string?
    -e, --encode                     Should we be encoding a string?
    -m, --message string             The message to send
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/WolfSoftware/kenny_speak. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the KennySpeak project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/WolfSoftware/kenny_speak/blob/master/CODE_OF_CONDUCT.md).
